
Figure - Bug #115296
测试 Test-IT # 111062 (New): V3.0功能测试

测试 Test-IT # 111067 (New): AF-V3.0--Launcher/SystemUI-任务管理器

【AF】【EVT】【任务管理器】多个应用后台运行,打开多任务管理器,右侧边缘上方位置左滑,操作时无返回
箭头显示,其余处有箭头显示
2023-01-13 14:24 - CD TEST-方永红

Status: CLOSED Start date: 2023-01-13

Priority: High Due date: 2023-02-02

Assignee: CD TEST-方永红 % Done: 100%

Category: 客户jira bug Estimated time: 0.00 hour

Target version:

Need_Info: -- Found Version: FlatBuild_HH_VX1_MCE_FSE.M.D.user.01.00.X101.202301120333

Resolution: FIXED Degrated: No

Severity: Normal Verified Version: FlatBuild_HH_VX1_MCE_FSE.M.R.user.01.00.0070.X101

Reproducibility: Every time Fixed Version: 2023-01-31

Test Type: ST Root cause: AOSP问题

Description

【前提条件】

1、设备已开机

【测试步骤】

1.打开多个应用后台运行

2.打开多任务管理器

3.右侧边缘上方位置左滑,

【预期结果】

3、有箭头显示，且可成功返回

【实际结果】

3、操作时无返回箭头显示,其余处有箭头显示

History

#1 - 2023-01-13 16:43 - CD APP-王营

- Due date set to 2023-02-02

- Status changed from New to ASSIGNED

- Assignee changed from CD APP-王营 to CD APP-王宏

#2 - 2023-01-18 16:58 - CD TEST-方永红

- Category changed from CD-APP to 客户jira bug

#3 - 2023-01-30 19:33 - IoT scm

Gerrit Merge Information：

ID Project Branch Uploader

178150 general/platform/packages/apps/Launc

her3

Pre_figure_turbox-c2130c-la1.1-qssi12

-dev

hong.wang_a@thundersoft.com

FW:Launcher:Solve the bug of unrecognized edge gestures1.In the matrix where TaskView is located, the system gesture will not take effectTC-RID:
1201-0205302IssueID: TS-R-BUG-115296Change-Id: I29341dedb4ba93e585588d04b46fb33506f8186c

#4 - 2023-01-30 19:41 - CD APP-王宏

- Status changed from ASSIGNED to RESOLVED

- Assignee changed from CD APP-王宏 to CD TEST-方永红

- % Done changed from 0 to 100

- Resolution changed from -- to FIXED

- Degrated changed from -- to No

- Fixed Version set to 2023-01-31

- Root cause set to AOSP问题

■ Current conclusion

已入库，待测试同事验证

■ My analysis

setSystemGestureExclusionRects()这个方法会导致传入的矩阵区域不响应系统的手势识别，

在原生recent里，这个方法是为了防止taskView边缘滑动触发系统返回手势，我们当前改造后的recent左右两侧新增了自定义功能，

所以在屏幕两侧需要响应系统返回手势，所以注释掉此方法。

■Submit URL

https://dev.thundercomm.com/gerrit/c/general/platform/packages/apps/Launcher3/+/178150

#5 - 2023-01-31 11:23 - CD TEST-方永红

- Status changed from RESOLVED to VERIFIED

- Verified Version set to FlatBuild_HH_VX1_MCE_FSE.M.R.user.01.00.0070.X101

1.31

验证通过

#6 - 2023-01-31 11:23 - CD TEST-方永红

- Status changed from VERIFIED to CLOSED

Files

Phone-TZ98765432 2023-01-13 14-21-59.mp4 5.83 MB 2023-01-13 CD TEST-方永红
